Skip to Content

GET /api/v1/orders/:id

Get an order by its database ID or Seaport order hash. Both lookup methods are tried.

Authentication: None

Cache: None

Path Parameters

ParameterTypeRequiredDescription
idstringYesListing ID (number) or order hash (hex string)

Sample Request

curl https://api.grails.app/api/v1/orders/42 # or curl https://api.grails.app/api/v1/orders/0xabc123...

Response

// 200 OK { "success": true, "data": { "id": 42, "ens_name_id": 1, "seller_address": "0xabcd...", "price_wei": "100000000000000000", "currency_address": "0x0000000000000000000000000000000000000000", "order_hash": "0xabc123...", "order_data": "{...}", "status": "active", "source": "grails", "broker_address": null, "broker_fee_bps": null, "expires_at": null, "created_at": "2026-04-01T00:00:00.000Z", "updated_at": "2026-04-01T00:00:00.000Z" }, "meta": { "timestamp": "2026-04-07T12:00:00.000Z", "version": "1.0.0" } }

Error Responses

StatusCodeDescription
404ORDER_NOT_FOUNDOrder not found
Last updated on